<app-page-default>
  <fd-layout-panel class="panel-custom">
    <fd-layout-panel-header>
      <fd-layout-panel-head>
        <fd-breadcrumb>
          <fd-breadcrumb-item>
            <a fd-link routerLink="/dashboard">Dashboard</a>
          </fd-breadcrumb-item>
          <fd-breadcrumb-item>
            <span>Ordem de Compras</span>
          </fd-breadcrumb-item>
        </fd-breadcrumb>
        <h2>{{ detailPage.title | titlecase }}</h2>
        <fd-layout-panel-description
          >{{ detailPage.description }}
        </fd-layout-panel-description>
      </fd-layout-panel-head>
      <fd-layout-panel-actions>
        <button
          [fdCompact]="globalCompact"
          fd-button
          fdType="transparent"
          glyph="add"
          (click)="onNewPurchaseOrder()"
        ></button>
      </fd-layout-panel-actions>
    </fd-layout-panel-header>
    <fd-layout-panel-filters *ngIf="purchases">
      <fd-multi-input
        [fdCompact]="globalCompact"
        [dropdownValues]="multiInputPurchases"
        [placeholder]="'Pesquisar...'"
      >
      </fd-multi-input>
      <span *ngFor="let item of selected; let i = index"></span>
    </fd-layout-panel-filters>
    <fd-layout-panel-body>
      <fd-busy-indicator [loading]="loading" [block]="true">
        <table
          *ngIf="mobile && !loading"
          fd-table
          [popIn]="true"
          [noBorderX]="true"
          [noBorderY]="true"
        >
          <thead fd-table-header>
            <tr fd-table-row>
              <th fd-table-cell colspan="100%">
                {{ detailPage.title | titlecase }}
              </th>
            </tr>
          </thead>
          <tbody fd-table-body>
            <ng-container *ngFor="let purchase of purchases">
              <tr fd-table-row [main]="true">
                <td fd-table-cell>
                  <p fd-table-text [title]="true">
                    {{ contract.company | titlecase }}
                  </p>
                </td>
              </tr>
              <tr fd-table-row [secondary]="true">
                <td fd-table-cell>
                  <fd-info-label
                    [color]="purchase.status | statusToColor"
                    modifier="pill"
                    >{{ purchase.status }}</fd-info-label
                  >
                </td>

                <td fd-table-cell>
                  {{ purchase.id }}
                </td>
                <td fd-table-cell>
                  {{ purchase.createDate | date }}
                </td>
                <td fd-table-cell>
                  {{ purchase.provider | titlecase }}
                </td>
                <td fd-table-cell>
                  {{ purchase.totalPrice | currency }}
                </td>
              </tr>
            </ng-container>
          </tbody>

          <tfoot fd-table-footer>
            <fd-pagination
              [totalItems]="totalContracts"
              [currentPage]="currentPage"
            ></fd-pagination>
          </tfoot>
        </table>

        <table *ngIf="!mobile" fd-table [noBorderX]="true">
          <thead fd-table-header>
            <tr fd-table-row>
              <th fd-table-cell *ngFor="let header of tableHeaders">
                {{ header }}
              </th>
            </tr>
          </thead>
          <tbody fd-table-body>
            <ng-container *ngFor="let purchase of purchases">
              <tr fd-table-row [main]="true" [activable]="true">
                <td fd-table-cell>
                  <fd-info-label
                    [color]="purchase.status | statusToColor"
                    modifier="pill"
                    [label]="
                    purchase.status === 'P'
                        ? 'Pendente'
                        : purchase.status === 'A'
                        ? 'Andamento'
                        : purchase.status === 'R'
                        ? 'Reprovado'
                        : 'Aprovado'
                    "
                    ></fd-info-label
                  >
                </td>

                <td fd-table-cell>
                  {{ purchase.id }}
                </td>
                <td fd-table-cell>
                  {{ purchase.createDate | date }}
                </td>
                <td fd-table-cell>
                  {{ purchase.requirer | titlecase }}
                </td>
                <td fd-table-cell>
                  {{ purchase.provider | titlecase }}
                </td>
                <td fd-table-cell>
                  {{ purchase.totalPrice | currency }}
                </td>
                <td fd-table-cell>
                  <button
                    fd-button
                    title="Enviar para aprovação"
                    fdType="ghost"
                    glyph="payment-approval"
                    (click)="onSendToApprove(purchase)"
                    [disabled]="purchase.status !== 'P'"
                  ></button>
                  <button
                    fd-button
                    title="Editar"
                    fdType="ghost"
                    glyph="edit"
                    (click)="onEditPurchaseOrder(purchase)"
                    [disabled]="purchase.status !== 'P'"
                  ></button>
                  <button
                    fd-button
                    title="Visualizar"
                    fdType="ghost"
                    glyph="detail-view"
                    (click)="onShowPurchaseOrder(purchase)"
                  ></button>
                  <button
                    fd-button
                    title="Excluir"
                    fdType="ghost"
                    glyph="delete"
                    (click)="onDeletePurchaseOrder()"
                    [disabled]="purchase.status !== 'P'"
                  ></button>
                </td>
              </tr>
            </ng-container>
          </tbody>
          <tfoot fd-table-footer>
            <fd-pagination
              [totalItems]="totalContracts"
              [currentPage]="currentPage"
            ></fd-pagination>
          </tfoot>
        </table>
      </fd-busy-indicator>
    </fd-layout-panel-body>
  </fd-layout-panel>
</app-page-default>
